<?php if (!empty($post->post_password) && $_COOKIE['wp-postpass_'.COOKIEHASH]!=$post->post_password) : ?>
        <p id="comments-locked">Enter your password to view comments.</p>
<?php return; endif; ?>

<?php if (pings_open()) : ?>
        <p id="respond"><span id="trackback-link">
                <a href="<?php trackback_url() ?>" rel="trackback">Get a Trackback link</a>
        </span></p>
<?php endif; ?>

<?php if ($comments) : ?>

<?php 

        /* Author values for author highlighting */
        /* Enter your email and name as they appear in the admin options */
        $author = array(
                        "highlight" => "highlight",
                        "email" => "",
                        "name" => ""
        ); 

        /* Count the totals */
        $numPingBacks = 0;
        $numComments  = 0;

        /* Loop throught comments to count these totals */
        foreach ($comments as $comment) {
                if (get_comment_type() != "comment") { $numPingBacks++; }
                else { $numComments++; }
        }
        
        /* Used to stripe comments */
        $thiscomment = 'odd'; 
?>

<?php

        /* This is a loop for printing pingbacks/trackbacks if there are any */
        if ($numPingBacks != 0) : ?>

        <h3 class="comments-header"><?php _e($numPingBacks); ?> Trackbacks/Pingbacks</h3>
        <ol id="trackbacks">
        
<?php foreach ($comments as $comment) : ?>
<?php if (get_comment_type()!="comment") : ?>

        <li id="comment-<?php comment_ID() ?>" class="<?php _e($thiscomment); ?>">
        <?php comment_type(__('Comment'), __('Trackback'), __('Pingback')); ?>: 
        <?php comment_author_link(); ?> on <?php comment_date(); ?>
        </li>
        
        <?php if('odd'==$thiscomment) { $thiscomment = 'even'; } else { $thiscomment = 'odd'; } ?>
        
<?php endif; endforeach; ?>

        </ol>

<?php endif; ?>

<?php 

        /* This is a loop for printing comments */
        if ($numComments != 0) : ?>

        <h3 class="comments-header"><?php _e($numComments); ?> Comments</h3>
        
        <?php foreach ($comments as $comment) : ?>
        <?php if (get_comment_type()=="comment") : ?>
        
        <blockquote>
                <div class="posted">
                        <p id="comment-<?php comment_ID(); ?>">
                                On <span class="comment-date"><?php comment_date() ?></span>, <span class="comment-author"><?php comment_author_link() ?></span> wrote:</p>
                </div>
                
                <div class="comment-text">
                        <?php comment_text(); ?>
                </div>
        </blockquote>

        <?php endif; endforeach; ?>
        
        <?php endif; ?>
        
<?php else : 

        /* No comments at all means a simple message instead */ 
?>

        <h3 class="comments-header">No Comments Yet</h3>

        <p>You can be the first to comment!</p>
        
<?php endif; ?>

<?php if (comments_open()) : ?>

        <div id="comments-form">
        
        <h3 id="comments-header">Leave a comment</h3>
        
        <?php if (get_option('comment_registration') && !$user_ID ) : ?>
                <p id="comments-blocked">You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=
                <?php the_permalink(); ?>">logged in</a> to post a comment.</p>
        </div>
        <?php else : ?>

        <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

        <?php if ($user_ID) : ?>
        
        <p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php">
                <?php echo $user_identity; ?></a>. 
                <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" 
                title="Log out of this account">Logout</a>
        </p>
        
        <?php else : ?>
        
                <p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" />
                <label for="author">Name<?php if ($req) _e(' <span class="req">(required)</span>'); ?></label></p>
                
                <p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" />
                <label for="email">E-mail (will not be published)<?php if ($req) _e(' <span class="req">(required)</span>'); ?></label></p>
                
                <p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" />
                <label for="url">Website</label></p>
        
        <?php endif; ?>

                <p>XHTML: You can use these tags: <?php echo allowed_tags(); ?></p>

                <p><textarea name="comment" id="comment" rows="10" cols="50"></textarea></p>
                
                <p><button type="submit" name="submit" class="submit">Submit</button>
                <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>"></p>
        
        <?php do_action('comment_form', $post->ID); ?>

        </form>
        </div>

<?php endif; // If registration required and not logged in ?>

<?php else : // Comments are closed ?>
        <p id="comments-closed">Sorry, comments for this entry are closed at this time.</p>
<?php endif; ?>
